/**
 * @typedef { {
 *  actions?: { display: Boolean }
 *  container?: Element
 *  data: any
 *  editor?: { inlinePropertiesPanel: Boolean }
 *  exporter?: { name: String, version: String }
 *  schema: any
 * } } FormPlaygroundOptions
 */
/**
 * @param {FormPlaygroundOptions} options
 */
export default function Playground(options: FormPlaygroundOptions): void;
export default class Playground {
    /**
     * @typedef { {
     *  actions?: { display: Boolean }
     *  container?: Element
     *  data: any
     *  editor?: { inlinePropertiesPanel: Boolean }
     *  exporter?: { name: String, version: String }
     *  schema: any
     * } } FormPlaygroundOptions
     */
    /**
     * @param {FormPlaygroundOptions} options
     */
    constructor(options: FormPlaygroundOptions);
    on: {
        <Key extends import("mitt").EventType>(type: Key, handler: import("mitt").Handler<Record<import("mitt").EventType, unknown>[Key]>): void;
        (type: "*", handler: import("mitt").WildcardHandler<Record<import("mitt").EventType, unknown>>): void;
    };
    off: {
        <Key_1 extends import("mitt").EventType>(type: Key_1, handler?: import("mitt").Handler<Record<import("mitt").EventType, unknown>[Key_1]>): void;
        (type: "*", handler: import("mitt").WildcardHandler<Record<import("mitt").EventType, unknown>>): void;
    };
    emit: {
        <Key_2 extends import("mitt").EventType>(type: Key_2, event: Record<import("mitt").EventType, unknown>[Key_2]): void;
        <Key_3 extends import("mitt").EventType>(type: undefined extends Record<import("mitt").EventType, unknown>[Key_3] ? Key_3 : never): void;
    };
    getState: () => {
        data: any;
        schema: any;
    };
    getSchema: (...args: any[]) => any;
    setSchema: (...args: any[]) => any;
    saveSchema: (...args: any[]) => any;
    get: (...args: any[]) => any;
    getDataEditor: (...args: any[]) => any;
    getEditor: (...args: any[]) => any;
    getForm: (...args: any[]) => any;
    getResultView: (...args: any[]) => any;
    destroy: () => void;
    attachEditorContainer: (...args: any[]) => any;
    attachPreviewContainer: (...args: any[]) => any;
    attachDataContainer: (...args: any[]) => any;
    attachResultContainer: (...args: any[]) => any;
    attachPaletteContainer: (...args: any[]) => any;
    attachPropertiesPanelContainer: (...args: any[]) => any;
}
export type FormPlaygroundOptions = {
    actions?: {
        display: boolean;
    };
    container?: Element;
    data: any;
    editor?: {
        inlinePropertiesPanel: boolean;
    };
    exporter?: {
        name: string;
        version: string;
    };
    schema: any;
};
